# snarkOS

snarkOS 是一个由隐私技术公司 Aleo 开发，用于私有应用程序的去中心化操作系统。它构成了 Aleo 的支柱，并使应用程序能够以可公开验证的方式验证和存储状态。

## 要求
以下是运行 Aleo 节点的最低要求：

* CPU : 16 核 (32 核首选)
* RAM：16GB 内存（32GB 首选）
* 存储空间：128GB 磁盘空间
* 网络：50Mbps 的上传和下载带宽

## 安装
在开始之前，请确保您的机器已安装Rust v1.56+。

首先克隆 snarkOS Github 存储库：

 
`git clone https://github.com/AleoHQ/snarkOS.git --depth 1 `
接下来，进入 snarkOS 目录：

 
`cd snarkOS `
[对于 Ubuntu 用户] 可以使用帮助脚本来安装依赖项。从 snarkOS 目录，运行：

 
`./testnet2_ubuntu.sh `
运行 Aleo 客户端节点
按照构建指南中的说明开始。

接下来，要启动客户端节点，请从 snarkOS 目录运行：

`./run-client.sh`

